//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace PNG.Model
{
    using System;
    using System.Collections.Generic;
    
    public partial class Customer
    {
        public string applicationid { get; set; }
        public string enterpriseid { get; set; }
        public string custid { get; set; }
        public string ref_code { get; set; }
        public string cust_name { get; set; }
        public string contact_person { get; set; }
        public string email { get; set; }
        public string address1 { get; set; }
        public string address2 { get; set; }
        public string country { get; set; }
        public string state_code { get; set; }
        public string zipcode { get; set; }
        public string telephone { get; set; }
        public string mbg { get; set; }
        public string fax { get; set; }
        public Nullable<int> credit_term { get; set; }
        public string industrial_sector_code { get; set; }
        public Nullable<decimal> credit_limit { get; set; }
        public string active_quotation_no { get; set; }
        public string status_active { get; set; }
        public Nullable<decimal> credit_outstanding { get; set; }
        public string remark { get; set; }
        public string salesmanid { get; set; }
        public Nullable<decimal> prom_tot_wt { get; set; }
        public string payment_mode { get; set; }
        public Nullable<int> prom_tot_package { get; set; }
        public Nullable<int> prom_period { get; set; }
        public Nullable<decimal> free_insurance_amt { get; set; }
        public Nullable<decimal> insurance_percent_surcharge { get; set; }
        public string created_by { get; set; }
        public string apply_dim_wt { get; set; }
        public string pod_slip_required { get; set; }
        public string apply_esa_surcharge { get; set; }
        public Nullable<int> invoice_return_days { get; set; }
        public string payer_type { get; set; }
        public Nullable<decimal> cod_surcharge_amt { get; set; }
        public Nullable<decimal> cod_surcharge_percent { get; set; }
        public Nullable<decimal> insurance_maximum_amt { get; set; }
        public Nullable<decimal> density_factor { get; set; }
        public string hc_invoice_required { get; set; }
        public string apply_esa_surcharge_rep { get; set; }
        public Nullable<decimal> max_cod_surcharge { get; set; }
        public Nullable<decimal> min_cod_surcharge { get; set; }
        public Nullable<decimal> min_insurance_surcharge { get; set; }
        public Nullable<decimal> max_insurance_surcharge { get; set; }
        public Nullable<decimal> other_surcharge_amount { get; set; }
        public Nullable<decimal> other_surcharge_percentage { get; set; }
        public Nullable<decimal> other_surcharge_min { get; set; }
        public Nullable<decimal> other_surcharge_max { get; set; }
        public string other_surcharge_desc { get; set; }
        public string Discount_band { get; set; }
        public string CustomerBox { get; set; }
        public string master_account { get; set; }
        public string remark2 { get; set; }
        public Nullable<System.DateTime> next_bill_placement_date { get; set; }
        public Nullable<int> Minimum_Box { get; set; }
        public string dim_by_tot { get; set; }
        public string creditstatus { get; set; }
        public Nullable<decimal> creditthreshold { get; set; }
        public Nullable<decimal> credit_used { get; set; }
        public Nullable<System.DateTime> CreditStatus_UpdatedDT { get; set; }
        public string Customs_TaxID { get; set; }
        public byte Customs_TaxExempt { get; set; }
        public Nullable<decimal> Customs_AgencyFee { get; set; }
        public Nullable<decimal> Customs_CounterClearance { get; set; }
        public Nullable<decimal> Customs_DAWBFee { get; set; }
        public Nullable<decimal> Customs_Cartage1 { get; set; }
        public Nullable<decimal> Customs_Cartage2 { get; set; }
        public Nullable<decimal> Customs_EntryFee_Informal { get; set; }
        public Nullable<decimal> Customs_EntryFee_Formal1 { get; set; }
        public Nullable<decimal> Customs_EntryFee_Formal2 { get; set; }
        public Nullable<decimal> Customs_CurrencyAdjFactor { get; set; }
        public Nullable<decimal> Customs_ExpressFCDiscount { get; set; }
        public string RelatedAccounts { get; set; }
        public string Credit_Term_AccPac { get; set; }
        public string Starting_Consignment_No { get; set; }
        public string Default_Service_Code { get; set; }
    
        public virtual Zipcode Zipcode1 { get; set; }
    }
}
